# Visa BIN Attribute Sharing Service
Visa BIN Attribute Sharing Service

## Version: 1

### Servers

| URL | Description |
| --- | ----------- |
| https://sandbox.api.visa.com | Sandbox server |

---
## BIN Files Metadata
Get Bin Files Metadata including number of files, file names, sizes, checksum, creation date.

### [POST] /filedeliveryservice/v1/binFilesMetadata
**BIN Files Metadata**

Get BIN Files Metadata including number of files, file names, sizes, checksum, creation date.

#### Request Body

BIN Files Metadata request payload

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"requestData"**: { **"paymentAccountType"**: string }, **"requestHeader"**: { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | BinFilesMetadata Response | **application/json**: { **"responseData"**: { **"fileDetails"**: [ { **"checkSum"**: string, **"fileName"**: string, **"fileSize"**: number, **"rowCount"**: number } ], **"filesCreationDate"**: string (YYYY-MM-DD), **"paymentAccountType"**: string, **"totalNumberOfFiles"**: integer }, **"responseHeader"**: { **"responseTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string, **"responseMessageId"**: string }, **"responseStatus"**: { **"statusCode"**: string, **"statusDescription"**: string } }<br> |
| 400 | Request Data Invalid |  |
| 500 | Error Codes | **application/json**: { **"CDI001"**: object, **"CDI003"**: object, **"CDI012"**: object, **"CDI071"**: object, **"CDI092"**: object, **"CDI098"**: object, **"CDI251"**: object }<br> |

---
## Issuer API
API that enables issuers to source acquirer BIN data directly from Visa

### [POST] /vbass/v1/files/metadata
**Files Metadata**

Get the metadata for the VBASS files including the count of files, file names, size, checksum and creation date.

#### Request Body

VBASS Files Metadata request payload

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"requestData"**: { **"fileType"**: string }, **"requestHeader"**: { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | VBASSFilesMetadata Response | **application/json**: { **"responseData"**: { **"fileType"**: string, **"fileDetails"**: [ { **"checkSum"**: string, **"fileName"**: string, **"fileSize"**: number, **"rowCount"**: number } ], **"filesCreationDate"**: string (YYYY-MM-DD), **"totalNumberOfFiles"**: integer }, **"responseHeader"**: { **"responseTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string, **"responseMessageId"**: string }, **"responseStatus"**: { **"statusCode"**: string, **"statusDescription"**: string } }<br> |
| 400 | Request Data Invalid |  |
| 500 | Error Codes | **application/json**: { **"CDI001"**: object, **"CDI003"**: object, **"CDI012"**: object, **"CDI071"**: object, **"CDI092"**: object, **"CDI098"**: object, **"CDI251"**: object }<br> |

### [POST] /vbass/v1/files/transfers
**File Transfer**

The VBASS File Transfer API endpoint allows the download of VBASS File

#### Request Body

VBASS File Transfer request payload

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"requestData"**: { **"fileName"**: string }, **"requestHeader"**: { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | VBASS File Transfer Response | **application/json**: object<br> |
| 400 | Request Data Invalid |  |
| 401 | Unauthorized |  |
| 500 | Error Codes | **application/json**: { **"CDI001"**: object, **"CDI002"**: object, **"CDI012"**: object, **"CDI052"**: object, **"CDI071"**: object, **"CDI249"**: object, **"CDI250"**: object }<br> |

---
## Single BIN Lookup
Lookup BIN Attributes for a single Payment Account or BIN

### [POST] /v1/paymentAccountLookup
**PAN TOKEN Lookup Using POST**

Get all the values related to PAN/TOKEN

#### Request Body

PAN/TOKEN Lookup request payload

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"requestData"**: { **"paymentAccount"**: string, **"paymentAccountType"**: string }, **"requestHeader"**: { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageID"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 201 | Created | **application/json**: { **"PanTokenLookupResponse"**: { **"responseData"**: { **"issuerBin"**: string, **"productID"**: string, **"platformCd"**: string, **"productIDName"**: string, **"accountBusName"**: string, **"accountRegionCode"**: string, **"paymentAccountType"**: string, **"issuerBillingCurrCd"**: string, **"accountCtryAlpha2Code"**: string, **"accountFundingSourceCd"**: string, **"accountFundingSourceSubtypeCd"**: string }, **"responseStatus"**: { **"statusCode"**: string, **"statusDesc"**: string } } }<br> |
| 300 | Requesting Client IP is invalid |  |
| 400 | Request Data Invalid |  |
| 401 | Unauthorized |  |
| 500 | Error Codes | **application/json**: { **"CDI001"**: object, **"CDI012"**: object, **"CDI052"**: object, **"CDI071"**: object, **"CDI248"**: object, **"CDI249"**: object, **"CDI250"**: object }<br> |

### [POST] /v2/paymentAccountLookup
**PAN TOKEN Lookup Using POST V2**

Get all the values related to PAN/TOKEN<br><br>Access to Visa BIN Attributes such as Issuer BIN, Issuer Country , Issuer Billing Currency and Product Identifiers such as Product ID/name, Product Platform, Card type, Card Subtype for any single payment account

#### Request Body

PAN/TOKEN Lookup request payload

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"requestData"**: { **"paymentAccount"**: string, **"paymentAccountType"**: string }, **"requestHeader"**: { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageID"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 201 | Created | **application/json**: { **"PanTokenLookupResponse"**: { **"responseData"**: { **"almInd"**: string, **"vauInd"**: string, **"brandCd"**: string, **"binLength"**: string, **"issuerBin"**: string, **"productID"**: string, **"comboCrdCd"**: string, **"platformCd"**: string, **"sharedBinInd"**: string, **"productIDName"**: string, **"accountBusName"**: string, **"regulatedBinCd"**: string, **"autoSubstntnInd"**: string, **"accountRegionCode"**: string, **"commrclCrdLvl2Ind"**: string, **"paymentAccountType"**: string, **"posDomesticOnlyInd"**: string, **"issuerBillingCurrCd"**: string, **"onlineGamblBlockInd"**: string, **"commrclCrdLvl3EnhInd"**: string, **"accountCtryAlpha2Code"**: string, **"multiAccountAccessInd"**: string, **"accountFundingSourceCd"**: string, **"accountFundingSourceSubtypeCd"**: string }, **"responseStatus"**: { **"statusCode"**: string, **"statusDesc"**: string } } }<br> |
| 400 | Request Data Invalid |  |
| 401 | Unauthorized |  |
| 500 | Error Codes | **application/json**: { **"CDI001"**: object, **"CDI012"**: object, **"CDI052"**: object, **"CDI071"**: object, **"CDI248"**: object, **"CDI249"**: object, **"CDI250"**: object }<br> |

---
## Full BIN List
Access a complete list of all of the Visa BINs and their associated BIN Attributes

### [POST] /v2/binRangeDetails
**Bin Range Details Using POST V2**

The Full BIN List API provides access to Visa BIN Attributes such as Issuer BIN, Issuer Country, Issuer Billing Currency and Product Identifiers such as Product ID/name, Product Platform, Card type , Card Subtype

#### Request Body

Bin Range Details request payload

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"requestData"**: { **"binRangeCount"**: string, **"paymentAccountType"**: string, **"binRangeSearchIndex"**: string }, **"requestHeader"**: { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageID"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | BinRangeDetails Response | **application/json**: { **"responseData"**: { **"almInd"**: string, **"vauInd"**: string, **"brandCd"**: string, **"binLength"**: string, **"issuerBin"**: string, **"productID"**: string, **"comboCrdCd"**: string, **"platformCd"**: string, **"sharedBinInd"**: string, **"productIDName"**: string, **"accountBusName"**: string, **"binRangeMaxNum"**: string, **"binRangeMinNum"**: string, **"regulatedBinCd"**: string, **"autoSubstntnInd"**: string, **"accountRegionCode"**: string, **"commrclCrdLvl2Ind"**: string, **"posDomesticOnlyInd"**: string, **"issuerBillingCurrCd"**: string, **"onlineGamblBlockInd"**: string, **"commrclCrdLvl3EnhInd"**: string, **"accountCtryAlpha2Code"**: string, **"multiAccountAccessInd"**: string, **"accountFundingSourceCd"**: string, **"binRangePaymentAccountType"**: string, **"accountFundingSourceSubtypeCd"**: string }, **"responseHeader"**: { **"responseMessageId"**: string }, **"responseStatus"**: { **"statusCode"**: string, **"statusDescription"**: string }, **"totalRecordsCount"**: string, **"numRecordsReturned"**: string, **"areNextOffsetRecordsAvailable"**: string }<br> |
| 400 | Request Data Invalid |  |
| 401 | Unauthorized |  |
| 500 | Error Codes | **application/json**: { **"CDI001"**: object, **"CDI002"**: object, **"CDI012"**: object, **"CDI052"**: object, **"CDI071"**: object, **"CDI246"**: object, **"CDI247"**: object, **"CDI249"**: object, **"CDI250"**: object }<br> |

### [POST] /v1/binRangeDetails
**Bin Range Details Using POST**

Full Bin List

#### Request Body

Bin Range Details request payload

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"requestData"**: { **"binRangeCount"**: string, **"binRangeSearchIndex"**: string }, **"requestHeader"**: { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageID"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | BinRangeDetails Response | **application/json**: { **"responseData"**: { **"issuerBin"**: string, **"productID"**: string, **"platformCd"**: string, **"productIDName"**: string, **"accountBusName"**: string, **"binRangeMaxNum"**: string, **"binRangeMinNum"**: string, **"accountRegionCode"**: string, **"issuerBillingCurrCd"**: string, **"accountCtryAlpha2Code"**: string, **"accountFundingSourceCd"**: string, **"binRangePaymentAccountType"**: string, **"accountFundingSourceSubtypeCd"**: string }, **"responseHeader"**: { **"responseMessageId"**: string }, **"responseStatus"**: { **"statusCode"**: string, **"statusDescription"**: string }, **"totalRecordsCount"**: string, **"numRecordsReturned"**: string, **"areNextOffsetRecordsAvailable"**: string }<br> |
| 300 | Requesting Client IP is invalid |  |
| 400 | Request Data Invalid |  |
| 401 | Unauthorized |  |
| 500 | Error Codes | **application/json**: { **"CDI001"**: object, **"CDI002"**: object, **"CDI012"**: object, **"CDI052"**: object, **"CDI071"**: object, **"CDI246"**: object, **"CDI247"**: object, **"CDI249"**: object, **"CDI250"**: object }<br> |

---
## BIN File Transfer
Transfer Account/Token Range File

### [POST] /filedeliveryservice/v1/binFileTransfer
**BIN File Transfer**

Get access to a BIN Account/Token Range file in csv format

#### Request Body

BIN File Transfer request payload

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"requestData"**: { **"fileName"**: string }, **"requestHeader"**: { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | BinFileTransfer Response | **application/json**: object<br> |
| 400 | Request Data Invalid |  |
| 401 | Unauthorized |  |
| 500 | Error Codes | **application/json**: { **"CDI001"**: object, **"CDI002"**: object, **"CDI012"**: object, **"CDI052"**: object, **"CDI071"**: object, **"CDI249"**: object, **"CDI250"**: object }<br> |

---
### Schemas

#### BinRangeDetailsRequestV1-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestData | { **"binRangeCount"**: string, **"binRangeSearchIndex"**: string } |  | No |
| requestHeader | { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageID"**: string } |  | No |

#### vbassFilesMetadataRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestData | { **"fileType"**: string } |  | No |
| requestHeader | { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string } |  | No |

#### vbassFileTransferRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestData | { **"fileName"**: string } |  | No |
| requestHeader | { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string } |  | No |

#### errorCodes Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| CDI001 | object | Internal service failure | No |
| CDI003 | object | Missing Required Attributes | No |
| CDI012 | object | Request header length is invalid | No |
| CDI071 | object | Request data invalid | No |
| CDI092 | object | No data | No |
| CDI098 | object | Invalid RequestTS format | No |
| CDI251 | object | Client configuration incomplete, reach out to BINAttributes@visa.com | No |

#### BinFileTransferResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| BinFileTransferResponse | object |  |  |

#### responseHeader Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseTS | string (YYYY-MM-DDThh:mm:ss.sss) | Date and time at which Response is sent (up to milliseconds in UTC)<br>*Example:* `"2023-02-17T06:31:31.194"` | No |
| requestMessageId | string | A string which uniquely identifies the service request. Requesting application need to create this unique message Id<br>*Example:* `"reqMsgId456"` | No |
| responseMessageId | string | A combination of Service Id, Application Id, an Integer and current Timestamp that uniquely identifies the current request-response processing<br>*Example:* `"106VDP87035320230217063131177"` | No |

#### paymentAccountLookupRequest-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestData | { **"paymentAccount"**: string, **"paymentAccountType"**: string } |  | No |
| requestHeader | { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageID"**: string } |  | No |

#### responseDataV2-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| almInd | string | Indicates if BIN or Account Range participate in Account Level Management | No |
| vauInd | string | Visa Account Updater enabled indicator | No |
| brandCd | string | Identifies if the brand or brands is associated with the account range.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section8">Brand Indicator</a> | No |
| binLength | string | Provides BIN length - 6 or 8 digits | No |
| issuerBin | string | Issuer BIN of requested PAN/TOKEN | No |
| productID | string | An identifier associated with a unique card product - combination of card brand, platform, class and scheme equates to a unique product ID.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section0">Product ID</a> | No |
| comboCrdCd | string | Indicator for combo card <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section6">Combo Card Indicator</a> | No |
| platformCd | string | The code of product platform, e.g. Business, Consumer, Commercial, Government.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section3">Product Platform Code</a> | No |
| sharedBinInd | string | Set to true if BIN shared by multiple issuers | No |
| productIDName | string | The name associated with the product ID, e.g. Visa Traditional, Visa Signature, Visa Government Purchasing, etc.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section0">Product ID</a> | No |
| accountBusName | string | Issuer Name | No |
| regulatedBinCd | string | Indicator for regulated BINs <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section7">Regulated BINs Indicator</a> | No |
| autoSubstntnInd | string | Auto Substantiation enabled indicator | No |
| accountRegionCode | string | Issuer Region <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section9">Issuer Region Code</a> | No |
| commrclCrdLvl2Ind | string | Indicates if transaction qualifies for Level 2 interchange rates | No |
| paymentAccountType | string | Identifier for whether account is a PAN ('P') or Token ('T') | No |
| posDomesticOnlyInd | string | Domestic Only BIN or Account Ranges | No |
| issuerBillingCurrCd | string | Issuer Billing Currency Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section5">Currency Code</a> | No |
| onlineGamblBlockInd | string | Indicates whether Online Gambling permitted or not | No |
| commrclCrdLvl3EnhInd | string | Indicates if transaction qualifies for Level 3 interchange rates | No |
| accountCtryAlpha2Code | string | Country Code Alpha Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section4">Country Code</a> | No |
| multiAccountAccessInd | string | Multi Account Access indicator <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section10">Multi Account Access Indicator</a> | No |
| accountFundingSourceCd | string | The code of account funding source for the card, e.g. Credit, Debit, Prepaid, Charge, Deferred Debit.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section1">Account Funding Source</a> | No |
| accountFundingSourceSubtypeCd | string | The code for account funding source subtype, such as reloadable and non-reloadable.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section2">Account Funding Source Subtype</a> | No |

#### responseDataV2-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| almInd | string | Indicates if BIN or Account Range participate in Account Level Management | No |
| vauInd | string | Visa Account Updater enabled indicator | No |
| brandCd | string | Identifies if the brand or brands is associated with the account range.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section8">Brand Indicator</a> | No |
| binLength | string | Provides BIN length - 6 or 8 digits | No |
| issuerBin | string | Issuer BIN of requested PAN/TOKEN | No |
| productID | string | An identifier associated with a unique card product - combination of card brand, platform, class and scheme equates to a unique product ID.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section0">Product ID</a> | No |
| comboCrdCd | string | Indicator for combo card <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section6">Combo Card Indicator</a> | No |
| platformCd | string | The code of product platform, e.g. Business, Consumer, Commercial, Government.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section3">Product Platform Code</a> | No |
| sharedBinInd | string | Set to true if BIN shared by multiple issuers | No |
| productIDName | string | The name associated with the product ID, e.g. Visa Traditional, Visa Signature, Visa Government Purchasing, etc.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section0">Product Name</a> | No |
| accountBusName | string | Issuer Name | No |
| binRangeMaxNum | string | maximum number of BIN range | Yes |
| binRangeMinNum | string | minimum number of BIN range | Yes |
| regulatedBinCd | string | Indicator for regulated BINs <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section7">Regulated BINs Indicator</a> | No |
| autoSubstntnInd | string | Auto Substantiation enabled indicator | No |
| accountRegionCode | string | Issuer Region <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section9">Issuer Region</a> | No |
| commrclCrdLvl2Ind | string | Indicates if transaction qualifies for Level 2 interchange rates | No |
| posDomesticOnlyInd | string | Domestic Only BIN or Account Ranges | No |
| issuerBillingCurrCd | string | Issuer Billing Currency Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section5">Currency Code</a> | No |
| onlineGamblBlockInd | string | Indicates whether Online Gambling permitted or not | No |
| commrclCrdLvl3EnhInd | string | Indicates if transaction qualifies for Level 3 interchange rates | No |
| accountCtryAlpha2Code | string | Country Code Alpha Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section4">Country Code</a> | No |
| multiAccountAccessInd | string | Multi Account Access indicator <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section10">Multi Account Access Indicator</a> | No |
| accountFundingSourceCd | string | The code of account funding source for the card, e.g. Credit, Debit, Prepaid, Charge, Deferred Debit.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section1">Account Funding Source</a> | No |
| binRangePaymentAccountType | string | The type of account - value can either 'P' for PAN or 'T' for TOKEN | Yes |
| accountFundingSourceSubtypeCd | string | The code for account funding source subtype, such as reloadable and non-reloadable.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section2">Account Funding Source Subtype</a> | No |

#### paymentAccountLookupRequestHeader Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestTS | string (YYYY-MM-DDThh:mm:ss.sss) | Date and time at which Request is sent (up to milliseconds in GMT). Ex: 2008-09-19T00:00:00.000 | Yes |
| requestMessageID | string | A string which uniquely identifies the service request. Requesting application need to create this unique message Id | Yes |

#### responseDataV2-3 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| almInd | string | Indicates if BIN or Account Range participate in Account Level Management | No |
| vauInd | string | Visa Account Updater enabled indicator | No |
| brandCd | string | Identifies if the brand or brands is associated with the account range.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#brandindicator">Brand Indicator</a> | No |
| binLength | string | Provides BIN length - 6 or 8 digits | No |
| issuerBin | string | Issuer Bin of requested PAN/TOKEN | No |
| productID | string | An identifier associated with a unique card product - combination of card brand, platform, class and scheme equates to a unique product ID.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#productid">Product ID</a> | No |
| comboCrdCd | string | Indicator for combo card <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#combocardindicator">Combo Card Indicator</a> | No |
| platformCd | string | The code of product platform, e.g. Business, Consumer, Commercial, Government.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#platformcode">Product Platform Code</a> | No |
| sharedBinInd | string | Set to true if BIN shared by multiple issuers | No |
| productIDName | string | The name associated with the product ID, e.g. Visa Traditional, Visa Signature, Visa Government Purchasing, etc.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#productid">Product Name</a> | No |
| accountBusName | string | Issuer Name | No |
| binRangeMaxNum | string | maximum number of bin range | Yes |
| binRangeMinNum | string | minimum number of bin range | Yes |
| regulatedBinCd | string | Indicator for regulated BINs <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#regulatedbinsindicator">Regulated BINs Indicator</a> | No |
| settlmntMatchInd | string | Settlement Match | No |
| accountRegionCode | string | Issuer Region | No |
| commrclCrdLvl2Ind | string | Indicates if transaction qualifies for Level 2 interchange rates | No |
| posDomesticOnlyInd | string | Domestic Only BIN or Account Ranges | No |
| issuerBillingCurrCd | string | Issuer Billing Currency Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#currencycode">Currency Code</a> | No |
| onlineGamblBlockInd | string | Indicates whether Online Gambling permitted or not | No |
| commrclCrdLvl3EnhInd | string | Indicates if transaction qualifies for Level 3 interchange rates | No |
| accountCtryAlpha2Code | string | Country Code Alpha Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#countrycode">Country Code</a> | No |
| accountFundingSourceCd | string | The code of account funding source for the card, e.g. Credit, Debit, Prepaid, Charge, Deferred Debit.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#accountfundingsource">Account Funding Source</a> | No |
| binRangePaymentAccountType | string | The type of account - value can either 'P' for PAN or 'T' for TOKEN | Yes |
| accountFundingSourceSubtypeCd | string | The code for account funding source subtype, such as reloadable and non-reloadable.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#accountfundingsourcesubtype">Account Funding Source Subtype</a> | No |

#### BinRangeDetailsResponseV2-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseData | { **"almInd"**: string, **"vauInd"**: string, **"brandCd"**: string, **"binLength"**: string, **"issuerBin"**: string, **"productID"**: string, **"comboCrdCd"**: string, **"platformCd"**: string, **"sharedBinInd"**: string, **"productIDName"**: string, **"accountBusName"**: string, **"binRangeMaxNum"**: string, **"binRangeMinNum"**: string, **"regulatedBinCd"**: string, **"settlmntMatchInd"**: string, **"accountRegionCode"**: string, **"commrclCrdLvl2Ind"**: string, **"posDomesticOnlyInd"**: string, **"issuerBillingCurrCd"**: string, **"onlineGamblBlockInd"**: string, **"commrclCrdLvl3EnhInd"**: string, **"accountCtryAlpha2Code"**: string, **"accountFundingSourceCd"**: string, **"binRangePaymentAccountType"**: string, **"accountFundingSourceSubtypeCd"**: string } |  | No |
| responseHeader | { **"responseMessageId"**: string } |  | No |
| responseStatus | { **"statusCode"**: string, **"statusDescription"**: string } |  | No |
| totalRecordsCount | string | total number of records present | Yes |
| numRecordsReturned | string | number of records returned | Yes |
| areNextOffsetRecordsAvailable | string | more records available? | Yes |

#### paymentAccountLookupRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestData | { **"paymentAccount"**: string, **"paymentAccountType"**: string } |  | No |
| requestHeader | { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageID"**: string } |  | No |

#### fileDetails-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| checkSum | string | File checksum<br>*Example:* `"bb8e4c75d51001dd35b40dc6209eccc2"` | Yes |
| fileName | string | File Name<br>*Example:* `"VBASS_ACQ_01282024_1.csv"` | Yes |
| fileSize | number | File Size in bytes (from Linux OS)<br>*Example:* `1770048` | Yes |
| rowCount | number | Number of records in the file (excludes the column header record at the top of the csv file)<br>*Example:* `30000` | Yes |

#### paymentAccountLookupResponseV1-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PanTokenLookupResponse | { **"responseData"**: { **"issuerBin"**: string, **"productID"**: string, **"platformCd"**: string, **"productIDName"**: string, **"accountBusName"**: string, **"accountRegionCode"**: string, **"paymentAccountType"**: string, **"issuerBillingCurrCd"**: string, **"accountCtryAlpha2Code"**: string, **"accountFundingSourceCd"**: string, **"accountFundingSourceSubtypeCd"**: string }, **"responseStatus"**: { **"statusCode"**: string, **"statusDesc"**: string } } | PanTokenLookup Response | No |

#### binFilesMetadataResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseData | { **"fileDetails"**: [ { **"checkSum"**: string, **"fileName"**: string, **"fileSize"**: number, **"rowCount"**: number } ], **"filesCreationDate"**: string (YYYY-MM-DD), **"paymentAccountType"**: string, **"totalNumberOfFiles"**: integer } |  | No |
| responseHeader | { **"responseTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string, **"responseMessageId"**: string } |  | No |
| responseStatus | { **"statusCode"**: string, **"statusDescription"**: string } |  | No |

#### vbassFileTransferResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| vbassFileTransferResponse | object |  |  |

#### fileDetails Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| checkSum | string | File checksum<br>*Example:* `"bb8e4c75d51001dd35b40dc6209eccc2"` | Yes |
| fileName | string | File Name<br>*Example:* `"VBASS_AR_LEVEL1_04282021_20.csv"` | Yes |
| fileSize | number | File Size in bytes (from Linux OS)<br>*Example:* `1770048` | Yes |
| rowCount | number | Number of records in the file (excludes the column header record at the top of the csv file)<br>*Example:* `30000` | Yes |

#### vbassFilesMetadataResponse Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseData | { **"fileType"**: string, **"fileDetails"**: [ { **"checkSum"**: string, **"fileName"**: string, **"fileSize"**: number, **"rowCount"**: number } ], **"filesCreationDate"**: string (YYYY-MM-DD), **"totalNumberOfFiles"**: integer } |  | No |
| responseHeader | { **"responseTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string, **"responseMessageId"**: string } |  | No |
| responseStatus | { **"statusCode"**: string, **"statusDescription"**: string } |  | No |

#### responseStatus Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| statusCode | string | Status Code of the Service Request<br>*Example:* `"CDI000"` | No |
| statusDescription | string | A description of the Status Code. A brief description indicating the result of the Service Request<br>*Example:* `"Success"` | No |

#### requestDataV1-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| binRangeCount | string | Number of records being requested(maximum number of records to be displayed) | Yes |
| binRangeSearchIndex | string | Starting index - to be used for paginating through the records. Starting possible values are 0, 100, 200, …, 500(multiples of hundred) | Yes |

#### paymentAccountLookupResponseV1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PanTokenLookupResponse | { **"responseData"**: { **"issuerBin"**: string, **"productID"**: string, **"platformCd"**: string, **"productIDName"**: string, **"accountBusName"**: string, **"accountRegionCode"**: string, **"paymentAccountType"**: string, **"issuerBillingCurrCd"**: string, **"accountCtryAlpha2Code"**: string, **"accountFundingSourceCd"**: string, **"accountFundingSourceSubtypeCd"**: string }, **"responseStatus"**: { **"statusCode"**: string, **"statusDesc"**: string } } | PanTokenLookup Response | No |

#### paymentAccountLookupResponseV2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PanTokenLookupResponse | { **"responseData"**: { **"almInd"**: string, **"vauInd"**: string, **"brandCd"**: string, **"binLength"**: string, **"issuerBin"**: string, **"productID"**: string, **"comboCrdCd"**: string, **"platformCd"**: string, **"sharedBinInd"**: string, **"productIDName"**: string, **"accountBusName"**: string, **"regulatedBinCd"**: string, **"settlmntMatchInd"**: string, **"accountRegionCode"**: string, **"commrclCrdLvl2Ind"**: string, **"paymentAccountType"**: string, **"posDomesticOnlyInd"**: string, **"issuerBillingCurrCd"**: string, **"onlineGamblBlockInd"**: string, **"commrclCrdLvl3EnhInd"**: string, **"accountCtryAlpha2Code"**: string, **"accountFundingSourceCd"**: string, **"accountFundingSourceSubtypeCd"**: string }, **"responseStatus"**: { **"statusCode"**: string, **"statusDesc"**: string } } | PanTokenLookup Response | No |

#### requestDataV2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| binRangeCount | string | Number of records being requested (maximum number of records to be displayed) | Yes |
| paymentAccountType | string | Identifier for whether account is a PAN ('P') or Token ('T') | No |
| binRangeSearchIndex | string | Starting index - to be used for paginating through the records. Starting possible values are 0, 100, 200, …,500 (multiples of hundred) | Yes |

#### requestDataV1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| binRangeCount | string | Number of records being requested (maximum number of records to be displayed) | Yes |
| binRangeSearchIndex | string | Starting index - to be used for paginating through the records. Starting possible values are 0, 100, 200, …, 500 (multiples of hundred) | Yes |

#### requestData-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| fileName | string | Name of the file | Yes |

#### requestData-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| fileType | string | File Type Identifier<br>*Example:* `"ACQ"` | Yes |

#### responseStatus-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| statusCode | string | Status Code of the Service Request | No |
| statusDesc | string | A description of the StatusCode. A brief description indicating the result of the Service Request | No |

#### BinRangeDetailsRequestV2-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestData | { **"binRangeCount"**: string, **"paymentAccountType"**: string, **"binRangeSearchIndex"**: string } |  | No |
| requestHeader | { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageID"**: string } |  | No |

#### paymentAccountLookupRequestData Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| paymentAccount | string | The payment account number for which the  attributes are being requested - can be a PAN or Token | Yes |
| paymentAccountType | string | The type of account - value can either 'P' for PAN or 'T' for TOKEN | Yes |

#### responseDataV2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| almInd | string | Indicates if BIN or Account Range participate in Account Level Management | No |
| vauInd | string | Visa Account Updater enabled indicator | No |
| brandCd | string | Identifies if the brand or brands is associated with the account range.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#brandindicator">Brand Indicator</a> | No |
| binLength | string | Provides BIN length - 6 or 8 digits | No |
| issuerBin | string | Issuer Bin of requested PAN/TOKEN | No |
| productID | string | An identifier associated with a unique card product - combination of card brand, platform, class and scheme equates to a unique product ID.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#productid">Product ID</a> | No |
| comboCrdCd | string | Indicator for combo card <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#combocardindicator">Combo Card Indicator</a> | No |
| platformCd | string | The code of product platform, e.g. Business, Consumer, Commercial, Government.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#platformcode">Product Platform Code</a> | No |
| sharedBinInd | string | Set to true if BIN shared by multiple issuers | No |
| productIDName | string | The name associated with the product ID, e.g. Visa Traditional, Visa Signature, Visa Government Purchasing, etc.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#productid">Product ID</a> | No |
| accountBusName | string | Issuer Name | No |
| regulatedBinCd | string | Indicator for regulated BINs <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#regulatedbinsindicator">Regulated BINs Indicator</a> | No |
| settlmntMatchInd | string | Settlement Match | No |
| accountRegionCode | string | Issuer Region | No |
| commrclCrdLvl2Ind | string | Indicates if transaction qualifies for Level 2 interchange rates | No |
| paymentAccountType | string | Identifier for whether account is a PAN ('P') or Token ('T') | No |
| posDomesticOnlyInd | string | Domestic Only BIN or Account Ranges | No |
| issuerBillingCurrCd | string | Issuer Billing Currency Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#currencycode">Currency Code</a> | No |
| onlineGamblBlockInd | string | Indicates whether Online Gambling permitted or not | No |
| commrclCrdLvl3EnhInd | string | Indicates if transaction qualifies for Level 3 interchange rates | No |
| accountCtryAlpha2Code | string | Country Code Alpha Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#countrycode">Country Code</a> | No |
| accountFundingSourceCd | string | The code of account funding source for the card, e.g. Credit, Debit, Prepaid, Charge, Deferred Debit.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#accountfundingsource">Account Funding Source</a> | No |
| accountFundingSourceSubtypeCd | string | The code for account funding source subtype, such as reloadable and non-reloadable.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#accountfundingsourcesubtype">Account Funding Source Subtype</a> | No |

#### responseDataV1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| issuerBin | string | Issuer BIN of requested PAN/TOKEN | No |
| productID | string | An identifier associated with a unique card product - combination of card brand, platform, class and scheme equates to a unique product ID.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#productid">Product ID</a> | No |
| platformCd | string | The code of product platform, e.g. Business, Consumer, Commercial, Government.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#platformcode">Product Platform Code</a> | No |
| productIDName | string | The name associated with the product ID, e.g. Visa Traditional, Visa Signature, Visa Government Purchasing, etc.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#productid">Product Name</a> | No |
| accountBusName | string | Issuer Name | No |
| accountRegionCode | string | Issuer Region | No |
| paymentAccountType | string | Identifier for whether account is a PAN ('P') or Token ('T') | No |
| issuerBillingCurrCd | string | Issuer Billing Currency Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#currencycode">Currency Code</a> | No |
| accountCtryAlpha2Code | string | Country Code Alpha Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#countrycode">Country Code</a> | No |
| accountFundingSourceCd | string | The code of account funding source for the card, e.g. Credit, Debit, Prepaid, Charge, Deferred Debit.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#accountfundingsource">Account Funding Source</a> | No |
| accountFundingSourceSubtypeCd | string | The code for account funding source subtype, such as reloadable and non-reloadable.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#accountfundingsourcesubtype">Account Funding Source Subtype</a> | No |

#### responseData Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| fileDetails | [ { **"checkSum"**: string, **"fileName"**: string, **"fileSize"**: number, **"rowCount"**: number } ] | List of BinFiles MetaData | Yes |
| filesCreationDate | string (YYYY-MM-DD) | Files creation date in YYYY-MM-DD Format<br>*Example:* `"2023-02-17"` | Yes |
| paymentAccountType | string | Account Type for which file details have been retrieved, i.e., Account Range (PAN) or Token Range, Possible values - P or T<br>*Example:* `"P"` | Yes |
| totalNumberOfFiles | integer | Total number of files for a requested payment account type<br>*Example:* `1` | Yes |

#### responseDataV1-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| issuerBin | string | Issuer BIN of requested PAN/TOKEN | No |
| productID | string | An identifier associated with a unique card product - combination of card brand, platform, class and scheme equates to a unique product ID.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section0">Product ID</a> | No |
| platformCd | string | The code of product platform, e.g. Business, Consumer, Commercial, Government.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section3">Product Platform Code</a> | No |
| productIDName | string | The name associated with the product ID, e.g. Visa Traditional, Visa Signature, Visa Government Purchasing, etc.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section0">Product Name</a> | No |
| accountBusName | string | Issuer Name | No |
| accountRegionCode | string | Issuer Region <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section9">Issuer Region Code</a> | No |
| paymentAccountType | string | Identifier for whether account is a PAN ('P') or Token ('T') | No |
| issuerBillingCurrCd | string | Issuer Billing Currency Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section5">Currency Code</a> | No |
| accountCtryAlpha2Code | string | Country Code Alpha Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section4">Country Code</a> | No |
| accountFundingSourceCd | string | The code of account funding source for the card, e.g. Credit, Debit, Prepaid, Charge, Deferred Debit.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section1">Account Funding Source</a> | No |
| accountFundingSourceSubtypeCd | string | The code for account funding source subtype, such as reloadable and non-reloadable.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section2">Account Funding Source Subtype</a> | No |

#### responseDataV1-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| issuerBin | string | Issuer BIN of requested PAN/TOKEN | No |
| productID | string | An identifier associated with a unique card product - combination of card brand, platform, class and scheme equates to a unique product ID.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section0">Product ID</a> | No |
| platformCd | string | The code of product platform, e.g. Business, Consumer, Commercial, Government.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section3">Product Platform Code</a> | No |
| productIDName | string | The name associated with the product ID, e.g. Visa Traditional, Visa Signature, Visa Government Purchasing, etc.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section0">Product Name</a> | No |
| accountBusName | string | Issuer Name | No |
| binRangeMaxNum | string | maximum number of bin range | Yes |
| binRangeMinNum | string | minimum number of bin range | Yes |
| accountRegionCode | string | Issuer Region <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section9">Issuer Region</a> | No |
| issuerBillingCurrCd | string | Issuer Billing Currency Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section5">Currency Code</a> | No |
| accountCtryAlpha2Code | string | Country Code Alpha Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section4">Country Code</a> | No |
| accountFundingSourceCd | string | The code of account funding source for the card, e.g. Credit, Debit, Prepaid, Charge, Deferred Debit.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section1">Account Funding Source</a> | No |
| binRangePaymentAccountType | string | The type of account - value can either 'P' for PAN or 'T' for TOKEN | Yes |
| accountFundingSourceSubtypeCd | string | The code for account funding source subtype, such as reloadable and non-reloadable.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#section2">Account Funding Source Subtype</a> | No |

#### responseData-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| fileType | string | File Type for which file details have been retrieved, i.e., Acquirer (ACQ)<br>*Example:* `"ACQ"` | Yes |
| fileDetails | [ { **"checkSum"**: string, **"fileName"**: string, **"fileSize"**: number, **"rowCount"**: number } ] | List of VBASS Files MetaData | Yes |
| filesCreationDate | string (YYYY-MM-DD) | Files creation date in YYYY-MM-DD Format<br>*Example:* `"2024-01-17"` | Yes |
| totalNumberOfFiles | integer | Total number of files for a requested payment account type<br>*Example:* `1` | Yes |

#### responseDataV1-3 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| issuerBin | string | Issuer Bin of requested PAN/TOKEN | No |
| productID | string | An identifier associated with a unique card product - combination of card brand, platform, class and scheme equates to a unique product ID.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#productid">Product ID</a> | No |
| platformCd | string | The code of product platform, e.g. Business, Consumer, Commercial, Government.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#platformcode">Product Platform Code</a> | No |
| productIDName | string | The name associated with the product ID, e.g. Visa Traditional, Visa Signature, Visa Government Purchasing, etc.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#productid">Product Name</a> | No |
| accountBusName | string | Issuer Name | No |
| binRangeMaxNum | string | maximum number of bin range | Yes |
| binRangeMinNum | string | minimum number of bin range | Yes |
| accountRegionCode | string | Issuer Region | No |
| issuerBillingCurrCd | string | Issuer Billing Currency Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#currencycode">Currency Code</a> | No |
| accountCtryAlpha2Code | string | Country Code Alpha Code <br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#countrycode">Country Code</a> | No |
| accountFundingSourceCd | string | The code of account funding source for the card, e.g. Credit, Debit, Prepaid, Charge, Deferred Debit.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#accountfundingsource">Account Funding Source</a> | No |
| binRangePaymentAccountType | string | The type of account - value can either 'P' for PAN or 'T' for TOKEN | Yes |
| accountFundingSourceSubtypeCd | string | The code for account funding source subtype, such as reloadable and non-reloadable.<br>Refer to <a href="/capabilities/visa-bin-attribute-sharing-service/docs-request-response-codes#accountfundingsourcesubtype">Account Funding Source Subtype</a> | No |

#### BinFileTransferRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestData | { **"fileName"**: string } |  | No |
| requestHeader | { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string } |  | No |

#### responseStatus-4 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| statusCode | string | Status Code of the Service Request | No |
| statusDescription | string | A description of the StatusCode. A brief description indicating the result of the Service Request | No |

#### responseStatus-3 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| statusCode | string | Status Code of the Service Request | No |
| statusDescription | string | A description of the StatusCode. A brief description indicating the result of the Service Request | No |

#### responseStatus-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| statusCode | string | Status Code of the Service Request | No |
| statusDesc | string | A description of the StatusCode. A brief description indicating the result of the Service Request | No |

#### paymentAccountLookupRequestData-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| paymentAccount | string | The payment account number for which the  attributes are being requested - can be a PAN or Token | Yes |
| paymentAccountType | string | The type of account - value can either 'P' for PAN or 'T' for TOKEN | Yes |

#### paymentAccountLookupRequestHeader-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestTS | string (YYYY-MM-DDThh:mm:ss.sss) | Date and time at which Request is sent (up to milliseconds in GMT). Ex: 2024-01-19T00:00:00.000 | Yes |
| requestMessageID | string | A string which uniquely identifies the service request. Requesting application need to create this unique message Id | Yes |

#### BinRangeDetailsResponseV1-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseData | { **"issuerBin"**: string, **"productID"**: string, **"platformCd"**: string, **"productIDName"**: string, **"accountBusName"**: string, **"binRangeMaxNum"**: string, **"binRangeMinNum"**: string, **"accountRegionCode"**: string, **"issuerBillingCurrCd"**: string, **"accountCtryAlpha2Code"**: string, **"accountFundingSourceCd"**: string, **"binRangePaymentAccountType"**: string, **"accountFundingSourceSubtypeCd"**: string } |  | No |
| responseHeader | { **"responseMessageId"**: string } |  | No |
| responseStatus | { **"statusCode"**: string, **"statusDescription"**: string } |  | No |
| totalRecordsCount | string | total number of records present | Yes |
| numRecordsReturned | string | number of records returned | Yes |
| areNextOffsetRecordsAvailable | string | more records available? | Yes |

#### errorCodes-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| CDI001 | object | Internal service failure | No |
| CDI002 | object | XML Parsing Failure | No |
| CDI012 | object | Request header length is invalid | No |
| CDI052 | object | Client Authentication failed | No |
| CDI071 | object | Exception in Group level entitlement process | No |
| CDI249 | object | Payment Account Type validation failure | No |
| CDI250 | object | Atleast one of the required/mandatory fields is missing in the request | No |

#### responseData-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseData-2 | object |  |  |

#### errorCodes-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| CDI001 | object | Internal service failure | No |
| CDI012 | object | Request header length is invalid | No |
| CDI052 | object | Client Authentication failed | No |
| CDI071 | object | Exception in Group level entitlement process | No |
| CDI248 | object | Payment Account validation failure | No |
| CDI249 | object | Payment Account Type validation failure | No |
| CDI250 | object | Atleast one of the required/mandatory fields is missing in the request | No |

#### errorCodes-3 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| CDI001 | object | Internal service failure | No |
| CDI002 | object | XML Parsing Failure | No |
| CDI012 | object | Request header length is invalid | No |
| CDI052 | object | Client Authentication failed | No |
| CDI071 | object | Exception in Group level entitlement process | No |
| CDI246 | object | Bin Range Search Index validation failure | No |
| CDI247 | object | Bin Range Count validation failure | No |
| CDI249 | object | Payment Account Type validation failure | No |
| CDI250 | object | Atleast one of the required/mandatory fields is missing in the request | No |

#### paymentAccountLookupResponseV2-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| PanTokenLookupResponse | { **"responseData"**: { **"almInd"**: string, **"vauInd"**: string, **"brandCd"**: string, **"binLength"**: string, **"issuerBin"**: string, **"productID"**: string, **"comboCrdCd"**: string, **"platformCd"**: string, **"sharedBinInd"**: string, **"productIDName"**: string, **"accountBusName"**: string, **"regulatedBinCd"**: string, **"autoSubstntnInd"**: string, **"accountRegionCode"**: string, **"commrclCrdLvl2Ind"**: string, **"paymentAccountType"**: string, **"posDomesticOnlyInd"**: string, **"issuerBillingCurrCd"**: string, **"onlineGamblBlockInd"**: string, **"commrclCrdLvl3EnhInd"**: string, **"accountCtryAlpha2Code"**: string, **"multiAccountAccessInd"**: string, **"accountFundingSourceCd"**: string, **"accountFundingSourceSubtypeCd"**: string }, **"responseStatus"**: { **"statusCode"**: string, **"statusDesc"**: string } } | PanTokenLookup Response | No |

#### requestData Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| paymentAccountType | string | Identifier for whether account is a PAN ('P') or Token ('T')<br>*Example:* `"P"` | Yes |

#### binFilesMetadataRequest Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestData | { **"paymentAccountType"**: string } |  | No |
| requestHeader | { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageId"**: string } |  | No |

#### requestDataV2-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| binRangeCount | string | Number of records being requested(maximum number of records to be displayed) | Yes |
| paymentAccountType | string | Identifier for whether account is a PAN ('P') or Token ('T') | No |
| binRangeSearchIndex | string | Starting index - to be used for paginating through the records. Starting possible values are 0, 100, 200, …,500(multiples of hundred) | Yes |

#### BinRangeDetailsResponseV2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseData | { **"almInd"**: string, **"vauInd"**: string, **"brandCd"**: string, **"binLength"**: string, **"issuerBin"**: string, **"productID"**: string, **"comboCrdCd"**: string, **"platformCd"**: string, **"sharedBinInd"**: string, **"productIDName"**: string, **"accountBusName"**: string, **"binRangeMaxNum"**: string, **"binRangeMinNum"**: string, **"regulatedBinCd"**: string, **"autoSubstntnInd"**: string, **"accountRegionCode"**: string, **"commrclCrdLvl2Ind"**: string, **"posDomesticOnlyInd"**: string, **"issuerBillingCurrCd"**: string, **"onlineGamblBlockInd"**: string, **"commrclCrdLvl3EnhInd"**: string, **"accountCtryAlpha2Code"**: string, **"multiAccountAccessInd"**: string, **"accountFundingSourceCd"**: string, **"binRangePaymentAccountType"**: string, **"accountFundingSourceSubtypeCd"**: string } |  | No |
| responseHeader | { **"responseMessageId"**: string } |  | No |
| responseStatus | { **"statusCode"**: string, **"statusDescription"**: string } |  | No |
| totalRecordsCount | string | total number of records present | Yes |
| numRecordsReturned | string | number of records returned | Yes |
| areNextOffsetRecordsAvailable | string | more records available? | Yes |

#### responseHeader-3 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseMessageId | string | A combination of Service Id, Application Id, an Integer and current Timestamp that uniquely identifies the current request-response processing | No |

#### BinRangeDetailsResponseV1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseData | { **"issuerBin"**: string, **"productID"**: string, **"platformCd"**: string, **"productIDName"**: string, **"accountBusName"**: string, **"binRangeMaxNum"**: string, **"binRangeMinNum"**: string, **"accountRegionCode"**: string, **"issuerBillingCurrCd"**: string, **"accountCtryAlpha2Code"**: string, **"accountFundingSourceCd"**: string, **"binRangePaymentAccountType"**: string, **"accountFundingSourceSubtypeCd"**: string } |  | No |
| responseHeader | { **"responseMessageId"**: string } |  | No |
| responseStatus | { **"statusCode"**: string, **"statusDescription"**: string } |  | No |
| totalRecordsCount | string | total number of records present | Yes |
| numRecordsReturned | string | number of records returned | Yes |
| areNextOffsetRecordsAvailable | string | more records available? | Yes |

#### requestHeader-5 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestTS | string (YYYY-MM-DDThh:mm:ss.sss) | Date and time at which Request is sent (up to milliseconds in GMT). Ex: 2008-09-19T00:00:00.000 | Yes |
| requestMessageId | string | A string which uniquely identifies the service request. Requesting application need to create this unique message Id | Yes |

#### BinRangeDetailsRequestV2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestData | { **"binRangeCount"**: string, **"paymentAccountType"**: string, **"binRangeSearchIndex"**: string } |  | No |
| requestHeader | { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageID"**: string } |  | No |

#### requestHeader-4 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestTS | string (YYYY-MM-DDThh:mm:ss.sss) | Date and time at which Request is sent (up to milliseconds in GMT). Ex: 2008-09-19T00:00:00.000 | Yes |
| requestMessageID | string | A string which uniquely identifies the service request. Requesting application need to create this unique message Id | Yes |

#### BinRangeDetailsRequestV1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestData | { **"binRangeCount"**: string, **"binRangeSearchIndex"**: string } |  | No |
| requestHeader | { **"requestTS"**: string (YYYY-MM-DDThh:mm:ss.sss), **"requestMessageID"**: string } |  | No |

#### requestHeader-3 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestTS | string (YYYY-MM-DDThh:mm:ss.sss) | Date and time at which Request is sent (up to milliseconds in GMT). Ex: 2024-02-19T00:00:00.000 | Yes |
| requestMessageID | string | A string which uniquely identifies the service request. Requesting application need to create this unique message Id | Yes |

#### responseHeader-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseTS | string (YYYY-MM-DDThh:mm:ss.sss) | Date and time at which Response is sent (up to milliseconds in UTC)<br>*Example:* `"2024-01-17T06:31:31.194"` | No |
| requestMessageId | string | A string which uniquely identifies the service request. Requesting application need to create this unique message Id<br>*Example:* `"reqMsgId135"` | No |
| responseMessageId | string | A combination of Service Id, Application Id, an Integer and current Timestamp that uniquely identifies the current request-response processing<br>*Example:* `"106VDP87035320230217063131177"` | No |

#### requestHeader-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestTS | string (YYYY-MM-DDThh:mm:ss.sss) | Date and time at which Request is sent (up to milliseconds in GMT). Ex: 2024-01-19T00:00:00.000 | Yes |
| requestMessageId | string | A string which uniquely identifies the service request. Requesting application need to create this unique message Id | Yes |

#### requestHeader-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestTS | string (YYYY-MM-DDThh:mm:ss.sss) | Date and time at which request is sent (up to milliseconds in UTC). Ex: 2024-01-19T00:00:00.000<br>*Example:* `"2024-01-29T22:05:00.000"` | Yes |
| requestMessageId | string | A string which uniquely identifies the service request. Requesting application need to create this unique message Id<br>*Example:* `"reqMsgId135"` | Yes |

#### responseHeader-2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseMessageId | string | A combination of Service Id, Application Id, an Integer and current Timestamp that uniquely identifies the current request-response processing | No |

#### requestHeader Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| requestTS | string (YYYY-MM-DDThh:mm:ss.sss) | Date and time at which request is sent (up to milliseconds in UTC). Ex: 2020-09-19T00:00:00.000<br>*Example:* `"2021-04-29T22:05:00.000"` | Yes |
| requestMessageId | string | A string which uniquely identifies the service request. Requesting application need to create this unique message Id<br>*Example:* `"reqMsgId456"` | Yes |
